GNU bug report logs - #26296
Problem with multiple moves between agentized mail groups and normal mail groups.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: gnus; Reported by: Ian Dobbie <ian.dobbie@HIDDEN>; Keywords: moreinfo; dated Wed, 29 Mar 2017 10:59:02 UTC; Maintainer for gnus is bugs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26296 <at> debbugs.gnu.org:


Received: (at 26296) by debbugs.gnu.org; 23 Sep 2019 15:41:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 11:41:57 2019
Received: from localhost ([127.0.0.1]:36828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCQTM-0005zU-O1
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 11:41:56 -0400
Received: from quimby.gnus.org ([80.91.231.51]:38844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iCQTK-0005zM-Tu
 for 26296 <at> debbugs.gnu.org; Mon, 23 Sep 2019 11:41:55 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>) id 1iCQTG-0000H3-Ax
 for 26296 <at> debbugs.gnu.org; Mon, 23 Sep 2019 17:41:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 26296 <at> debbugs.gnu.org
Subject: Re: bug#26296: [Ian Dobbie] Re: bug#26296: Problem with multiple
 moves between agentized mail groups and normal mail groups.>
References: <m2shlw9zkq.fsf@HIDDEN_not_set.invalid>
 <87lgdka7dp.fsf@HIDDEN>
Date: Mon, 23 Sep 2019 17:41:49 +0200
In-Reply-To: <87lgdka7dp.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Wed, 18 Apr 2018 16:58:42 +0200")
Message-ID: <871rw73tqa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: >>> I read email
 via imap into nnagent. Every so often I have to archive my >>> email to my
 local machine as my mailbox gets full. I move them into a >>> standard mail
 folder locally. >> >> What kind [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26296
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>>> I read email via imap into nnagent. Every so often I have to archive my
>>> email to my local machine as my mailbox gets full. I move them into a
>>> standard mail folder locally.
>>
>> What kind of folder is this?
>
> Its just a local directory with one mail per file accessed over nnml

Are you still seeing this problem in more modern versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bugs@HIDDEN:
bug#26296; Package gnus. Full text available.

Message received at 26296 <at> debbugs.gnu.org:


Received: (at 26296) by debbugs.gnu.org; 18 Apr 2018 14:59:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 18 10:59:42 2018
Received: from localhost ([127.0.0.1]:59462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f8oYc-0006Gg-Rw
	for submit <at> debbugs.gnu.org; Wed, 18 Apr 2018 10:59:42 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:59141)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1f8oYY-0006GU-BC
 for 26296 <at> debbugs.gnu.org; Wed, 18 Apr 2018 10:59:37 -0400
Received: from 46.67.12.60.tmi.telenormobil.no ([46.67.12.60] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>) id 1f8oXt-0006xM-DX
 for 26296 <at> debbugs.gnu.org; Wed, 18 Apr 2018 16:59:32 +0200
Received: from larsi by corrigan with local (Exim 4.89)
 (envelope-from <larsi@HIDDEN>) id 1f8oXn-0000MB-DQ
 for 26296 <at> debbugs.gnu.org; Wed, 18 Apr 2018 16:58:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 26296 <at> debbugs.gnu.org
Subject: [Ian Dobbie] Re: bug#26296: Problem with multiple moves between
 agentized mail groups and normal mail groups.>
Date: Wed, 18 Apr 2018 16:58:42 +0200
Message-ID: <87lgdka7dp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26296
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


-------------------- Start of forwarded message --------------------
Return-path: <junkmaster@HIDDEN>
Envelope-to: larsi@HIDDEN
Delivery-date: Wed, 18 Apr 2018 16:52:11 +0200
Received: from quimby.gnus.org ([80.91.231.51])
	by hermes.netfonds.no with esmtps (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
	(Exim 4.84_2)
	(envelope-from <junkmaster@HIDDEN>)
	id 1f8oRM-0004py-3L
	for larsi@HIDDEN; Wed, 18 Apr 2018 16:52:11 +0200
Received: from relay14.mail.ox.ac.uk ([163.1.2.162])
	by quimby.gnus.org with esmtps (TLS1.2:RSA_AES_256_CBC_SHA1:256)
	(Exim 4.80)
	(envelope-from <ian.dobbie@HIDDEN>)
	id 1f8oRL-0005KE-TC
	for larsi@HIDDEN; Wed, 18 Apr 2018 16:52:07 +0200
Received: from smtp5.mail.ox.ac.uk ([163.1.2.207])
	by relay14.mail.ox.ac.uk with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
	(Exim 4.89)
	(envelope-from <ian.dobbie@HIDDEN>)
	id 1f8oRB-0007jF-jR
	for larsi@HIDDEN; Wed, 18 Apr 2018 15:52:02 +0100
Received: from bioch2088.bioch.ox.ac.uk ([129.67.72.88])
	by smtp5.mail.ox.ac.uk with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
	(Exim 4.89)
	(envelope-from <ian.dobbie@HIDDEN>)
	id 1f8oRA-0005rf-I2
	for larsi@HIDDEN; Wed, 18 Apr 2018 15:51:56 +0100
From: Ian Dobbie <ian.dobbie@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#26296: Problem with multiple moves between agentized mail groups and normal mail groups.>
References: <m2shlw9zkq.fsf@HIDDEN_not_set.invalid>
	<87in8wpa9b.fsf@HIDDEN>
Date: Wed, 18 Apr 2018 15:51:56 +0100
Message-ID: <m21sfclg8j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (darwin)
X-Oxford-Username: bioc0882
X-Oxmail-Spam-Status: score=0.0 tests=none
X-Oxmail-Spam-Level: /
X-Spam-Report: Spam detection software, running on the system "hermes.netfonds.no",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Ian Dobbie <ian.dobbie@HIDDEN>
    writes: > >> I read email via imap into nnagent. Every so often I have to
    archive my >> email to my local machine as my mailbox gets full. I move them
    into a >> standard mail folder locally. > > What kind of folder is this?
   [...] 
 
 Content analysis details:   (-1.6 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Ian Dobbie <ian.dobbie@HIDDEN> writes:
>
>> I read email via imap into nnagent. Every so often I have to archive my
>> email to my local machine as my mailbox gets full. I move them into a
>> standard mail folder locally.
>
> What kind of folder is this?

Its just a local directory with one mail per file accessed over nnml

Thanks,

Ian

-------------------- End of forwarded message --------------------

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bugs@HIDDEN:
bug#26296; Package gnus. Full text available.

Message received at 26296 <at> debbugs.gnu.org:


Received: (at 26296) by debbugs.gnu.org; 12 Apr 2018 18:09:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 12 14:09:33 2018
Received: from localhost ([127.0.0.1]:48343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f6gf7-0000I3-2I
	for submit <at> debbugs.gnu.org; Thu, 12 Apr 2018 14:09:33 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:33771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1f6gf5-0000Hw-E9
 for 26296 <at> debbugs.gnu.org; Thu, 12 Apr 2018 14:09:32 -0400
Received: from 46.67.12.60.tmi.telenormobil.no ([46.67.12.60] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1f6gf0-0005NL-PV; Thu, 12 Apr 2018 20:09:30 +0200
Received: from larsi by corrigan with local (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1f6geu-0005Zu-OX; Thu, 12 Apr 2018 20:09:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ian Dobbie <ian.dobbie@HIDDEN>
Subject: Re: bug#26296: Problem with multiple moves between agentized mail
 groups and normal mail groups.
References: <m2shlw9zkq.fsf@HIDDEN_not_set.invalid>
Date: Thu, 12 Apr 2018 20:09:20 +0200
In-Reply-To: <m2shlw9zkq.fsf@HIDDEN_not_set.invalid> (Ian Dobbie's
 message of "Wed, 29 Mar 2017 10:55:49 +0100")
Message-ID: <87in8wpa9b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26296
Cc: 26296 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ian Dobbie <ian.dobbie@HIDDEN> writes:

> I read email via imap into nnagent. Every so often I have to archive my
> email to my local machine as my mailbox gets full. I move them into a
> standard mail folder locally.

What kind of folder is this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bugs@HIDDEN:
bug#26296; Package gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Mar 2017 10:58:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 29 06:58:09 2017
Received: from localhost ([127.0.0.1]:50173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ctBIm-0003Qf-OC
	for submit <at> debbugs.gnu.org; Wed, 29 Mar 2017 06:58:09 -0400
Received: from relay14.mail.ox.ac.uk ([163.1.2.162]:49302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ian.dobbie@HIDDEN>) id 1ctAKa-0001pt-LU
 for submit <at> debbugs.gnu.org; Wed, 29 Mar 2017 05:55:57 -0400
Received: from smtp5.mail.ox.ac.uk ([163.1.2.207])
 by relay14.mail.ox.ac.uk with esmtp (Exim 4.80)
 (envelope-from <ian.dobbie@HIDDEN>) id 1ctAKU-0003ee-kh
 for submit <at> debbugs.gnu.org; Wed, 29 Mar 2017 10:55:50 +0100
Received: from [185.82.157.126] (helo=Ians-MBP-7.domain_not_set.invalid)
 by smtp5.mail.ox.ac.uk with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.80) (envelope-from <ian.dobbie@HIDDEN>)
 id 1ctAKU-0007iL-Gs
 for submit <at> debbugs.gnu.org; Wed, 29 Mar 2017 10:55:50 +0100
From: Ian Dobbie <ian.dobbie@HIDDEN>
To: submit <at> debbugs.gnu.org (The Gnus Bugfixing Girls + Boys)
Subject: Problem with multiple moves between agentized mail groups and normal
 mail groups. 
X-Debbugs-Version: 5.13
X-Debbugs-Package: gnus
Date: Wed, 29 Mar 2017 10:55:49 +0100
Message-ID: <m2shlw9zkq.fsf@HIDDEN_not_set.invalid>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Oxford-Username: bioc0882
X-Oxmail-Spam-Status: score=0.0 tests=none
X-Oxmail-Spam-Level: /
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 29 Mar 2017 06:58:08 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,

Here is my Gnus info 


Gnus v5.13
GNU Emacs 25.1.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version 10.9.5 (Build 13F1911))
 of 2016-09-21


I read email via imap into nnagent. Every so often I have to archive my
email to my local machine as my mailbox gets full. I move them into a
standard mail folder locally. This previously worked fine, I would mark
and move messages in bulk. It was slow, but not unreasonably so, and
worked perfectly. I recently upgraded to the Gnus above and now every
8th message takes ages and then silently fails. Gnus thinks it has
moved until the group is left and re-entered at which point it is still
there. Additionally this slows the process massively and means I have to
repeat it many times.... bulk mark 500 messages, move, wait ages, leave
group and reenter. Remark the 1/8th left, move, wait, leave and reenter, repeat.....

Any help, pointers or additional diagnostic information gladly
accepted/provided.

Thanks,

Ian





Acknowledgement sent to Ian Dobbie <ian.dobbie@HIDDEN>:
New bug report received and forwarded. Copy sent to bugs@HIDDEN. Full text available.
Report forwarded to bugs@HIDDEN:
bug#26296; Package gnus. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.